import java.util.Calendar;

import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Report manager must be running
public class SchedulingCommandOneTime {

	public static void main(String[] args) {
		SchedulingCommandOneTime doScheduleArchive = new SchedulingCommandOneTime();
		try {
			doScheduleArchive.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("Command_OneTime", ScheduleObject.COMMANDOBJ);
		// Note that someClass does not exist
		sObj.setCommand("java someClass");
		sObj.setTaskOption(ScheduleObject.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sObj.setStartDate(calendar.getTimeInMillis());
		sObj.setSendEmail(false);

		ScheduleModifier.addScheduleTask(sObj);
	}
}
